EDIT - feature request #7653

[DISCUSS] Delete NameFacts => Result: no
08/14/2018 10:23 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.5

Severity: normal

Description

NameFacts are currently very rarely used except for protologues. Protologues will be handled with nomenclatural source in future (
#6589) therefore this is not needed anymore.

Additionally we do have Extensions which should be able handle existing requirements for name facts. However, extensions are
limited to type and (single language) text. No sources, no multi-language support, etc.

So we need to discuss if extensions are enough or if we need something in between "Facts" and extensions. Also we need to
discuss if we should unify the extension and the descriptions/facts system.

Related issues:

Related to EDIT - feature request #6589: Handle protologue as original source... Closed
Related to EDIT - bug #7456: E+M: NameFacts von ILDIS Daten Duplicate
Related to EDIT - task #7435: Handle also published in correctly In Progress
Related to EDIT - feature request #7470: Verbatim type designation information Closed
Related to EDIT - feature request #8019: Add "Typification Notes", "Ortograph... Closed
Related to EDIT - feature request #8134: Implement verbatim type information ... Closed
Related to EDIT - feature request #8135: Implement verbatim type information ... Closed
Related to EDIT - feature request #8017: TypeDesignations need sources additi... Closed
Related to EDIT - feature request #8136: Implement sources for type designati... Closed
Related to EDIT - feature request #8137: Implement sources for type designati... Feedback
Copied to EDIT - feature request #8133: [DISCUSS] Combine Facts and Extensions New
Copied to EDIT - feature request #8138: [DISCUSS] Publish flag for facts and ... Closed
Copied to EDIT - discussion #10458: [DISCUSS] Publish flag for type designations New
History

#1 - 08/14/2018 10:25 AM - Andreas Miiller

AM:

upps, das ist mir vollstdndig neu, dass fir Namen Uber den Bulkeditor auch (Name-)facts editiert werden kénnen.

Das sollten wir unbedingt ausstellen, da die Namefacts ja sobald wie méglich abgeschafft werden sollen.

Eigentlich sollten sie im Moment NUR noch fir die Protologe im Details View verwendet werden, bis auch diese umgestellt sind.
Bekommen wir das noch ins Release? Sollte vermutlich ja schnell zu implementieren sein.

WGB:
schade, hatte gerade gedacht, dass es die noch gibt - wo soll man denn z. B. den ethymologischen Hintergrund zu einem Namen unterbringen?

AM: ==> all moved to #8133

hmm, interessant. Grundsétzlich ist die angedachte Alternative, die Extensions zu verwenden (Supplemental Data). Also einen entsprechenden
ExtensionType anlegen und dazu einen Informationsstring hinzufligen. Somit kdnnen fehlende Attribute einer Klasse quasi dynamisch erzeugt
werden. Das kénnte man dann auch im Ul noch besser unterstitzen (hinzufigen der Extensions zum Details View, etc.).

Aber: was dann nicht méglich ist, ist die Information mit einer Quelle zu hinterlegen. Die Frage ist also, ob diese Méglichkeit gebraucht wird. Da in den
letzten 10 Jahren die Nachfrage danach quasi gleich 0 war, haben wir beschlossen das Model in diesem Bereich zu vereinfachen, um die
Verwendung zu erleichtern.

Sollten sich aber doch sinnvolle Anwendungen ergeben, kdnnen wir dartiber nattrlich nochmal nachdenken.

Das ist allerdings ein Problem, welches fir alle Attribute einer Klasse stellt. Solange sie als Einzelattribute dastehen, kénnen sie nicht separat
referenziert werden. Z.B. kann individualCount fir Occurrences, welches v.a. in der Zoologie wichtig ist, nicht explizit referenziert werden, sondern
nur das Specimen als ganzes.
Grundsatzlich haben wir also mind. 3 Mdglichkeiten semantisch reiche Daten an ein Objekt zu hangen: als Attribut in der Klasse (entsprechend
Spalte in einer Tabelle), als Extension mit ExtensionType und Textstring (nicht referenzierbar und keine Multi-Language-Unterstiitzung),
Descriptions(DescriptionElements/Facts). Letztere sind sehr flexibel, aber auch kompliziert, mit der Mdglichkeit zu gruppieren, scopes (geo, time, ...)
anzulegen, Modifier hinzuzuftigen, verschiedene Datentypen zu verwenden, Quellen hinzuzufiigen, Mehrsprachigkeit, etc.

In letztere Zeit bin ich davon ausgegangen, dass letztere letztlich nur fiir Taxa und Specimen relevant sind. Vielleicht irre ich da aber auch.
Vielleicht ware es besser zu versuchen, dass Extension System und die Descriptions zu vereinheitlichen. Z.B. wirde es vermutlich Sinn machen,
wenn es nicht Features und ExtensionTypes gébe und diese inkompatibel zu einander sind, sondern dass das quasi eine Klasse ist, und man
lediglich mitspeichert, fir welche Datentypen ein Feature/ExtensionType anwendbar ist, also ob fir Specimen, Taxa, Namen, Personen, Teams,
Referencen, ...

Dann kénnte man versuchen, ein abgespecktes Description System und ein Advanced System zu entwickeln, wobei wenn méglich das eine in das
andere UberfUhrbar sein sollte. Das abgespeckte System kdnnte dann z.B. neben dem Typ noch Quellen und Mehrsprachigkeit erméglichen, aber
keine sopes, modifier etc.

Das wirde alles ein bisschen konsistenter machen.

Das ist natarlich nur mittel- bis langfristige Planung. Das Léschen der NameFacts stiinde allerdings schon relativ bald an, daher wiirde mich natdirlich

die Meinung, ob die wirklich durch Extensions ersetzt werden kénnen sehr interessieren.
Ich nehme auch mal Norbert in cc. Vielleicht wére das ja auch mal ein Thema fiir ein Usermeeting.

#2 - 08/14/2018 10:26 AM - Andreas Mdiller

- Related to feature request #6589: Handle protologue as original source with URI link added

#4 - 08/14/2018 10:27 AM - Andreas Miiller
- Related to bug #7456: E+M: NameFacts von ILDIS Daten added

#5 - 08/14/2018 04:26 PM - Andreas Miuller
WGB:

ich sehe da eine Reihe von Anwendungen fir Namens-bezogene Fakten:

® Die bereits angesprochene Typusdiskussion: Beim Nepenthes bearbeiten fallt mir hierzu auf, dass man folgende Arten gebrauchen kénnte (auch
gleich der Ausgabe-Usecase dazu): Das Originalzitat (mit Referenzierung, denn das kann auch aus einer anderen Quelle entnommen worden
sein) —das wirde ich in Anfihrungszeichen setzen. Kommentare dazu (z.B. Typensuche etc.) anschlieBend in chronologischer Reihenfolge.
Alles Textfelder mit Sprache und Referenz (und ggf. in-line Referenzen). Noch dazu wiinschen wirde ich mir ein individuelles Publish-Flag — so
wurde z.B. kirzlich endlich die Neotypisierung von N. alata blanco vorgenommen, sodass die vorangehende Diskussion zur Suche etc.
eigentlich durch die Angaben im letzten Artikel ersetzt werden. Das sollte dann ausgeklammert werden, aber die Geschichte erhalten bleiben.

Das nur mal fir’s erste, um die Diskussion anzustof3en.
AM:

ok, habe ich ins Ticket eingetragen. Die Typussachen wirde ich ja lieber in einem verbesserten Typusmodul behandeln(=> #8133 (Note: maybe
#8318 was meant here)). Hoffentlich kénnen wir das nach der E+M Migration angehen. Die beiden anderen Punkte sind aber auf jeden Fall wichtig
und gut fir die Diskussion.

Wie wichtig ist die Eingabe dieser Daten? Sollen wir die Namefacts evtl. doch lieber wieder einschalten?

#6 - 08/15/2018 09:13 AM - Andreas Miiller
WGB:

richtig wichtig erscheint mir vor allem die Sache mit den Typen. Aber fir alle Falle gilt, dass man das vorlaufig in Taxon Facts unterbringen kann —
derzeit stelle ich da dann dem Text einen entsprechenden Vermerk voran.

#7 - 09/28/2018 11:14 PM - Andreas Miiller
- Related to task #7435: Handle also published in correctly added

#8 - 01/19/2019 01:03 AM - Andreas Miiller

- Related to feature request #7470: Verbatim type designation information added

#9 - 01/25/2019 11:02 AM - Andreas Miiller
- Related to feature request #8019: Add "Typification Notes", "Ortography" and "Etymology" to NameFeature vocabulary added

#10 - 02/19/2019 10:14 AM - Andreas Miiller

03/20/2024 2/3


https://dev.e-taxonomy.eu/redmine/issues/8019
https://dev.e-taxonomy.eu/redmine/issues/8019
https://dev.e-taxonomy.eu/redmine/issues/8133
https://dev.e-taxonomy.eu/redmine/issues/8318

- Status changed from New to In Progress
- Priority changed from New to Highest
- % Done changed from 0 to 10

We decided to keep name facts to handle categories like "Notes on typification" or "Etymology".

We still need to discuss if some of the additional attributes like sope etc. are not needed and if it makes sense to reflect this in the class hieararchy.

#11 - 02/24/2019 12:28 PM - Andreas Miiller
- Copied to feature request #8133: [DISCUSS] Combine Facts and Extensions added

#12 - 02/24/2019 12:47 PM - Andreas Miiller

Unification of extensions and facts moved to new ticket #8133

#13 - 02/24/2019 12:55 PM - Andreas Miiller

- Related to feature request #8134: Implement verbatim type information in dataportal added

#14 - 02/24/2019 12:58 PM - Andreas Miiller

- Related to feature request #8135: Implement verbatim type information in TaxEditor added

#15 - 02/24/2019 01:00 PM - Andreas Miiller

- Related to feature request #8017: TypeDesignations need sources additional to lectotypifcation sources added

#16 - 02/24/2019 01:04 PM - Andreas Miiller

- Related to feature request #8136: Implement sources for type designations in TaxEditor added

#17 - 02/24/2019 01:12 PM - Andreas Miiller

- Related to feature request #8137: Implement sources for type designations in data portal added

#18 - 02/24/2019 01:30 PM - Andreas Miiller
- Copied to feature request #8138: [DISCUSS] Publish flag for facts and type designations added

#19 - 02/24/2019 01:33 PM - Andreas Miiller

- Subject changed from [DISCUSS] Delete NameFacts to [DISCUSS] Delete NameFacts => Result: no
- Description updated

- Status changed from In Progress to Resolved

- % Done changed from 10 to 90

The public flag requirement from #7653#note-5 was moved to a new ticket #8138. | think we can close this ticket now as all discussed issues were
moved to seperate tickets.

#20 - 04/11/2019 11:43 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 90 to 100

#21 - 01/19/2024 03:13 PM - Andreas Miiller
- Copied to discussion #10458: [DISCUSS] Publish flag for type designations added
